Module tdlight.api
Package it.tdlight.jni

# Class TdApi.RichTextIcon

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.RichText
it.tdlight.jni.TdApi.RichTextIcon

Enclosing class:
  TdApi

public static final class TdApi.RichTextIcon extends TdApi.RichText
A small image inside the text.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.Document`
`document`
The image represented as a document.
`int`
`height`
Height of a bounding box in which the image must be shown; 0 if unknown.
`int`
`width`
Width of a bounding box in which the image must be shown; 0 if unknown.

## Constructor Summary

Constructors
Constructor
Description
`RichTextIcon()`
A small image inside the text.
`RichTextIcon(TdApi.Document document, int width, int height)`
A small image inside the text.
`RichTextIcon(DataInput input)`
A small image inside the text.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### document

public TdApi.Document document
The image represented as a document. The image can be in GIF, JPEG or PNG format.

### width

public int width
Width of a bounding box in which the image must be shown; 0 if unknown.

### height

public int height
Height of a bounding box in which the image must be shown; 0 if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### RichTextIcon

public RichTextIcon()
A small image inside the text.

### RichTextIcon

public RichTextIcon(TdApi.Document document, int width, int height)
A small image inside the text.

Parameters:
  `document` - Document The image represented as a document. The image can be in GIF, JPEG or PNG format.
  `width` - int Width of a bounding box in which the image must be shown; 0 if unknown.
  `height` - int Height of a bounding box in which the image must be shown; 0 if unknown.

### RichTextIcon

public RichTextIcon(DataInput input) throws IOException
A small image inside the text.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`